function showCheckboxTree(url,id,checkId){  
	    treeid = id;  
	    menuTree = jQuery("#"+id).bind("loaded.jstree",function(e,data){  
	        jQuery("#"+id).jstree("open_all");   
	        jQuery("#"+id).find("li").each(function(){    
	            if(checkId == 'all'){  
	                jQuery("#"+id).jstree("check_node",jQuery(this));  
	            }else if(checkId instanceof Array){  
	                for(var i=0;i<checkId.length;i++){  
	                    if(jQuery(this).attr("id") == checkId[i]){  
	                      jQuery("#"+id).jstree("check_node",jQuery(this));  
	                    }  
	                }  
	            }  
	        });  
	    }).jstree({  
	        "core" : {  
	        "data" :url, 
	        "attr":{  
	            "class":"jstree-checked"  
	        }  
	      },  
	      "types" : {  
	        "default" : {  
	          "valid_children" : ["default","file"]  
	        },  
	        "file" : {  
	          "icon" : "glyphicon glyphicon-file",  
	          "valid_children" : []  
	        }  
	      },  
	      "checkbox" : {  
	          "keep_selected_style" : false,  
	          "real_checkboxes" : true  
	      },  
	      "plugins" : [  
	        "contextmenu", "dnd", "search",  
	        "types", "wholerow","checkbox"  
	      ],  
	      "contextmenu":{  
	        "items":{  
	            "create":null,  
	            "rename":null,  
	            "remove":null,  
	            "ccp":null  
	        }  
	      }  
	    });  
	}  
	  
	function getCheckboxTreeSelNode(treeid){  
	  var ids = Array();  
	  jQuery("#"+treeid).find("li").each(function(){  
	      var liid = jQuery(this).attr("id");  
	      if(jQuery("#"+liid+">a").hasClass("jstree-clicked") || jQuery("#"+liid+">a>i").hasClass("jstree-undetermined")){  
	          ids.push(liid);  
	      }  
	  });  
	  return ids;  
	}  